Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xni.grammars
Interface XMLSchemaDescription

All Superinterfaces:
  XMLGrammarDescription, XMLResourceIdentifier

    public interface XMLSchemaDescription

extends XMLGrammarDescription

All information specific to XML Schema grammars.

Version:
  $Id: XMLSchemaDescription.java 447245 2006-09-18 05:22:10Z mrglavas $
Author:
  Sandy Gao, IBM

Field Summary
`static short` | `CONTEXT_ATTRIBUTE` Indicate that the parse of the current schema document is triggered by the occurrence of an attribute whose namespace is the target namespace of this schema document.
`static short` | `CONTEXT_ELEMENT` Indicate that the parse of the current schema document is triggered by the occurrence of an element whose namespace is the target namespace of this schema document.
`static short` | `CONTEXT_IMPORT` Indicate that the current schema document is <import>ed by another schema document.
`static short` | `CONTEXT_INCLUDE` Indicate that the current schema document is <include>d by another schema document.
`static short` | `CONTEXT_INSTANCE` Indicate that the parse of the current schema document is triggered by xsi:schemaLocation/noNamespaceSchemaLocation attribute(s) in the instance document.
`static short` | `CONTEXT_PREPARSE` Indicate that the current schema document is being preparsed.
`static short` | `CONTEXT_REDEFINE` Indicate that the current schema document is <redefine>d by another schema document.
`static short` | `CONTEXT_XSITYPE` Indicate that the parse of the current schema document is triggered by the occurrence of an "xsi:type" attribute, whose value (a QName) has the target namespace of this schema document as its namespace.

Fields inherited from interface org.apache.xerces.xni.grammars.XMLGrammarDescription
`XML_DTD, XML_SCHEMA`

Method Summary
`XMLAttributes` | `getAttributes()` If a call is triggered by an element/attribute/xsi:type in the instance, this call returns all attributes of such an element (or enclosing element).
`short` | `getContextType()` Get the context.
`QName` | `getEnclosingElementName()` If a call is triggered by an attribute or xsi:type, then this method returns the enclosing element of such element.
`java.lang.String[]` | `getLocationHints()` For import and references from the instance document, it's possible to have multiple hints for one namespace.
`java.lang.String` | `getTargetNamespace()` If the context is "include" or "redefine", then return the target namespace of the enclosing schema document; otherwise, the expected target namespace of this document.
`QName` | `getTriggeringComponent()` If a call is triggered by an element/attribute/xsi:type in the instance, this call returns the name of such triggering component: the name of the element/attribute, or the value of the xsi:type.

Methods inherited from interface org.apache.xerces.xni.grammars.XMLGrammarDescription
`getGrammarType`

Methods inherited from interface org.apache.xerces.xni.XMLResourceIdentifier
`getBaseSystemId, getExpandedSystemId, getLiteralSystemId, getNamespace, getPublicId, setBaseSystemId, setExpandedSystemId, setLiteralSystemId, setNamespace, setPublicId`

Field Detail

### CONTEXT_INCLUDE

    static final short CONTEXT_INCLUDE

  Indicate that the current schema document is <include>d by another schema document.

  See Also:
    Constant Field Values

### CONTEXT_REDEFINE

    static final short CONTEXT_REDEFINE

  Indicate that the current schema document is <redefine>d by another schema document.

  See Also:
    Constant Field Values

### CONTEXT_IMPORT

    static final short CONTEXT_IMPORT

  Indicate that the current schema document is <import>ed by another schema document.

  See Also:
    Constant Field Values

### CONTEXT_PREPARSE

    static final short CONTEXT_PREPARSE

  Indicate that the current schema document is being preparsed.

  See Also:
    Constant Field Values

### CONTEXT_INSTANCE

    static final short CONTEXT_INSTANCE

  Indicate that the parse of the current schema document is triggered by xsi:schemaLocation/noNamespaceSchemaLocation attribute(s) in the instance document. This value is only used if we don't defer the loading of schema documents.

  See Also:
    Constant Field Values

### CONTEXT_ELEMENT

    static final short CONTEXT_ELEMENT

  Indicate that the parse of the current schema document is triggered by the occurrence of an element whose namespace is the target namespace of this schema document. This value is only used if we do defer the loading of schema documents until a component from that namespace is referenced from the instance.

  See Also:
    Constant Field Values

### CONTEXT_ATTRIBUTE

    static final short CONTEXT_ATTRIBUTE

  Indicate that the parse of the current schema document is triggered by the occurrence of an attribute whose namespace is the target namespace of this schema document. This value is only used if we do defer the loading of schema documents until a component from that namespace is referenced from the instance.

  See Also:
    Constant Field Values

### CONTEXT_XSITYPE

    static final short CONTEXT_XSITYPE

  Indicate that the parse of the current schema document is triggered by the occurrence of an "xsi:type" attribute, whose value (a QName) has the target namespace of this schema document as its namespace. This value is only used if we do defer the loading of schema documents until a component from that namespace is referenced from the instance.

  See Also:
    Constant Field Values

Method Detail

### getContextType

    short getContextType()

  Get the context. The returned value is one of the pre-defined CONTEXT_xxx constants.

  Returns:
    the value indicating the context

### getTargetNamespace

    java.lang.String getTargetNamespace()

  If the context is "include" or "redefine", then return the target namespace of the enclosing schema document; otherwise, the expected target namespace of this document.

  Returns:
    the expected/enclosing target namespace

### getLocationHints

    java.lang.String[] getLocationHints()

  For import and references from the instance document, it's possible to have multiple hints for one namespace. So this method returns an array, which contains all location hints.

  Returns:
    an array of all location hints associated to the expected target namespace

### getTriggeringComponent

    QName getTriggeringComponent()

  If a call is triggered by an element/attribute/xsi:type in the instance, this call returns the name of such triggering component: the name of the element/attribute, or the value of the xsi:type.

  Returns:
    the name of the triggering component

### getEnclosingElementName

    QName getEnclosingElementName()

  If a call is triggered by an attribute or xsi:type, then this method returns the enclosing element of such element.

  Returns:
    the name of the enclosing element

### getAttributes

    XMLAttributes getAttributes()

  If a call is triggered by an element/attribute/xsi:type in the instance, this call returns all attributes of such an element (or enclosing element).

  Returns:
    all attributes of the tiggering/enclosing element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.